Subject: Re: bug#19812: 24.4; suggest `shell-mode' not interactive

From: Kevin Ryde <[email-masked]>
Date: Mon, 05 Aug 2019 18:54:47 +1000

Juri Linkov <[email-masked]> writes:
>
> It might be useful to visit log files previously saved from shell buffers,
> like compilation-mode adds such local-variable prop-line:
>
>   -*- mode: compilation -*-

I suppose the difference is compilation-mode does useful things when a
compilation has finished, whereas shell-mode and similar would be more
or less entirely for interaction.

I've had file buffers in compilation-mode for stepping error lines in
the way you say.  The only thing I've been tricked by is accidentally
"g" recompile which replaces the file text -- in a sensible way, but for
me usually not what I meant to do :-).

-- 
Monotremes oviparous, ovum meroblastic.  -- Caldwell